Subject: Re: bug#32348: 27.0.50; EWW/SHR: Please add support for hiding DOM nodes with aria-hidden=true

From: Noam Postavsky <[email-masked]>
Date: Mon, 27 Aug 2018 20:03:22 -0400

tags 32348 fixed
close 32348 27.1
quit

Eli Zaretskii <[email-masked]> writes:

> Thanks, I think the NEWS entry should tell a bit more about the new
> option.

I added info from the docstring.

>> +@vindex shr-discard-aria-hidden
>> +@cindex aria-hidden
>
> @cindex could be more reader-friendly, e.g.
>
>   @cindex @code{aria-hidden}, HTML attribute

Done.

>> +  The HTML attribute @code{aria-hidden} is meant to tell screen
>> +readers to ignore a tag's contents.  You can customize the variable
>> +@code{shr-discard-aria-hidden} to tell @code{shr} to ignore such tags.
>> +This can be useful when using a screen reader on the output of
>> +@code{shr} (e.g., on EWW buffer text).  Or even when not using a
>> +screen reader, since web authors often put this tag on non-essential
>> +decorative content.
>
> The last sentence is incomplete, suggest to either make it part of the
> previous one, or say something like "It can be useful even when not..."

In my head it was one setence, but it gets a bit long that way.  I split
it like you suggested.

[1: 0250d22eeb]: 2018-08-27 19:16:47 -0400
  shr: Allow skipping tags with aria-hidden (Bug#32348)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=0250d22eeb8427cb87c58f528f337dc83d0419a5